Package org.eclipse.birt.report.engine.api.script.instance

# Interface IDrillThroughInstance

public interface IDrillThroughInstance

## Method Summary

Modifier and Type
Method
Description
`String`
`getBookmark()`
`String`
`getFormat()`
`Map`
`getParameterBindings()`
`String`
`getReportName()`
`Map`
`getSearchCriteria()`
`String`
`getTargetFileType()`
`String`
`getTargetWindow()`
`String`
`getTOC()`
`boolean`
`isBookmark()`
`void`
`setBookmark(String bookmark)`
Set the bookmark to the drillThrough .
`void`
`setFormat(String format)`
Set the format of output report.
`void`
`setParameterBindings(Map parameterBindings)`
Set a set of name/value pairs for running the report in the drillthrough link.
`void`
`setReportName(String reportName)`
Set the report name.
`void`
`setSearchCriteria(Map searchCriteria)`
Set a set of name/value pairs for searching the report in the drillthrough link.
`void`
`setTargetFileType(String targetFileType)`
Sets target report file type for a drill-through action.
`void`
`setTargetWindow(String target)`
Set the targetWindow string.
`void`
`setTOC(String toc)`
Set the TOC of this drillThrough.

## Method Details

### getReportName

String getReportName()

Returns:
  the report name.

### setReportName

void setReportName(String reportName)
Set the report name.

Parameters:
  `reportName` -

### getParameterBindings

Map getParameterBindings()

Returns:
  a set of name/value pairs for running the report in the drillthrough link.

### setParameterBindings

void setParameterBindings(Map parameterBindings)
Set a set of name/value pairs for running the report in the drillthrough link.

### getSearchCriteria

Map getSearchCriteria()

Returns:
  a set of name/value pairs for searching the report in the drillthrough link.

### setSearchCriteria

void setSearchCriteria(Map searchCriteria)
Set a set of name/value pairs for searching the report in the drillthrough link.

### getFormat

String getFormat()

Returns:
  the format of output report.

### setFormat

void setFormat(String format)
Set the format of output report.

### isBookmark

boolean isBookmark()

Returns:
  the bookmark type. True, the bookmark is a bookmark. False, the bookmark is a toc.

### setBookmark

void setBookmark(String bookmark)
Set the bookmark to the drillThrough .

Parameters:
  `bookmark` -

### getBookmark

String getBookmark()

Returns:
  the bookmark string if the bookmark type is Bookmark. NULL if the bookmark type is TOC.

### setTOC

void setTOC(String toc)
Set the TOC of this drillThrough.

Parameters:
  `toc` -

### getTOC

String getTOC()

Returns:
  the bookmark string if the bookmark type is TOC. NULL if the bookmark type is Bookmark.

### getTargetWindow

String getTargetWindow()

Returns:
  the targetWindow string.

### setTargetWindow

void setTargetWindow(String target)
Set the targetWindow string.

### setTargetFileType

void setTargetFileType(String targetFileType)
Sets target report file type for a drill-through action.

### getTargetFileType

String getTargetFileType()

Returns:
  the type of the target report file.